Qt 5.9 | Qt 3D | C++ Classes | AssimpImporter

Qt 5.9.3 Reference Documentation

# AssimpImporter Class

(Qt3DRender::AssimpImporter)

Provides a generic way of loading various 3D assets format into a Qt3D scene. More...

Header: | #include <AssimpImporter>
qmake: | QT += 3drender
Since: | Qt 5.5

- List of all members, including inherited members

## Public Functions

| AssimpImporter()
| ~AssimpImporter()
bool | isFileTypeSupported(const QUrl &source) const
Qt3DCore::QEntity * | node(const QString &id)
Qt3DCore::QEntity * | scene(const QString &id = QString())
void | setSource(const QUrl &source)

## Detailed Description

Provides a generic way of loading various 3D assets format into a Qt3D scene.

It should be noted that Assimp aiString is explicitly defined to be UTF-8.

## Member Function Documentation

### AssimpImporter::AssimpImporter()

Constructor. Initializes a new instance of AssimpImporter.

### AssimpImporter::~AssimpImporter()

Destructor. Cleans the parser properly before destroying it.

### bool AssimpImporter::isFileTypeSupported(const QUrl &source) const

Returns `true` if the extension of source is supported by the assimp parser.

### Qt3DCore::QEntity *AssimpImporter::node(const QString &id)

Returns a Node from the scene identified by id. Returns `nullptr` if the node was not found.

### Qt3DCore::QEntity *AssimpImporter::scene(const QString &id = QString())

Returns a Entity node which is the root node of the scene node specified by id. If id is empty, the scene is assumed to be the root node of the scene.

Returns `nullptr` if id was specified but no node matching it was found.

### void AssimpImporter::setSource(const QUrl &source)

Sets the source used by the parser to load the asset file. If the file is valid, this will trigger parsing of the file.